std::chrono::operator==,(std::chrono::month)(3)

NAME
std::chrono::operator==,(std::chrono::month) - std::chrono::operator==,(std::chrono::month)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::month& x, (1) (since C++20)
   const std::chrono::month& y ) noexcept;
   constexpr std::strong_ordering operator<=>( const
   std::chrono::month& x, (2) (since C++20)
   const std::chrono::month& y ) noexcept;
   Compare the two std::chrono::month x and y.
   The <, <=, >, >=, and != operators are synthesized from operator<=> and operator==
   respectively.

Return value
   1) unsigned(x) == unsigned(y)
   2) unsigned(x) <=> unsigned(y)

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     constexpr std::chrono::month m1{6};
     constexpr std::chrono::month m2{8};
     std::cout << std::boolalpha
         << (m1 < m2) << ' ' << (m1 == m1) << ' ' << (m1 <= m2) << ' '
         << (m2 > m1) << ' ' << (m2 != m1) << ' ' << (m2 >= m1) << '\n';
 }

Output:
 true true true true true true